using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.BS
{
    /// <summary>
    /// 检查内容子表(关联检查问题)
    /// </summary>
    [Description("检查问题")]
    public class T_BS_CHECK_CONTENT_QUESTION : MesEntityBase
    {
        /// <summary>
        /// 检查内容
        /// </summary>
        [Description("检查内容")]
        [DataFieldForeignKey("Nav_Content", "Nav_ListContentQuestions")]
        public Guid CHECK_CONTENT_ID { get; set; }

        /// <summary>
        /// 检查问题
        /// </summary>
        [Description("检查问题")]
        [DataFieldForeignKey("Nav_Question")]
        [FormFieldEdit]
        public Guid CHECK_QUESTION_ID { get; set; }

        ///<summary>
        /// 导航：检查内容
        /// </summary>
        [Description("导航：检查内容")]
        public virtual T_BS_CHECK_CONTENT Nav_Content { get; set; }


        /// <summary>
        /// 导航：检查问题(描述)
        /// </summary>
        [Description("导航：检查问题")]
        public virtual T_BS_CHECK_QUESTION Nav_Question { get; set; }
    }
}
